--- mips/atheros/ar71xx_spi.c.orig	2010-11-12 08:14:40.000000000 -0200
+++ mips/atheros/ar71xx_spi.c	2010-11-12 08:49:12.000000000 -0200
@@ -117,6 +117,14 @@
 {
 
 	/*
+	 * This is a hack to deactivate the chip before it get really
+	 * activate right bellow.
+	 * This is only needed by RSPRO RTC (active with high CS0).
+	 */
+	SPI_WRITE(sc, AR71XX_SPI_IO_CTRL, SPI_IO_CTRL_CS(cs + 1));
+	DELAY(100);
+
+	/*
 	 * Activate the respective device (we have three CS pins allowing
 	 * 7 muxed devices on bus).
 	 * At any given moment only one device should be selected on bus. 
